MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023013Community[OCCT] OCCT:Codingpublic2012-03-07 19:002012-04-03 13:31
Reporterllbatlle 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS Version3.2.7
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0023013: Fails to build with gcc 4.6.3
DescriptionTrying to build it with gcc 4.6.3, I get this error, that I can bypass using "-fpermissive":

gcc says:
../../../src/BRepClass3d/BRepClass3d_SClassifier.cxx:93:44: error: taking address of temporary [-fpermissive]
Steps To Reproducebuild it with gcc 4.6.3
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0020048)
dbv (developer)
2012-03-21 10:38

Removed unnecessary cast in BRepClass3d_SClassifier::PerformInfinitePoint function

Git branch CR23013 is ready to be reviewed.

Dear Andrey,
Please review.
(0020049)
abv (manager)
2012-03-21 10:54

No comments, please test
(0020074)
apn (administrator)
2012-03-21 17:43

Dear BugMaster,
     Workbench KAS:dev:apn-23013-occt was created from git branch CR23013
   (and apn-23013-products from svn trunk) and compiled on Linux platform.
   
     There are not regressions in apn-23013-products regarding to KAS:dev:products-20120316-opt
     
     See results in /QADisk/occttests/results/KAS/dev/apn-23013-products_21032012/lin
     See reference results in /QADisk/occttests/results/KAS/dev/products-20120316-opt_17032012/lin
     See test cases in /QADisk/occttests/tests/ED
(0020086)
bugmaster (administrator)
2012-03-22 11:06

Integrated into master

- Related Changesets
occt: master e450f818
Timestamp: 2012-03-21 06:28:01
Author: dbv
Details ] Diff ]
0023013: Fails to build with gcc 4.6.3

Changes:
Removed unnecessary cast in BRepClass3d_SClassifier::PerformInfinitePoint function
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-07 19:00 llbatlle New Issue
2012-03-07 19:00 llbatlle Assigned To => bugmaster
2012-03-07 19:12 abv Assigned To bugmaster => dbv
2012-03-07 19:12 abv Status new => assigned
2012-03-21 10:38 dbv Note Added: 0020048
2012-03-21 10:38 dbv Assigned To dbv => abv
2012-03-21 10:38 dbv Status assigned => resolved
2012-03-21 10:54 abv Note Added: 0020049
2012-03-21 10:54 abv Status resolved => reviewed
2012-03-21 11:10 apn Assigned To abv => apn
2012-03-21 17:43 apn Note Added: 0020074
2012-03-21 17:45 apn Test case number => Test case is not required
2012-03-21 17:45 apn Assigned To apn => bugmaster
2012-03-21 17:45 apn Status reviewed => tested
2012-03-22 11:01 bugmaster Target Version => 6.5.3
2012-03-22 11:06 bugmaster Note Added: 0020086
2012-03-22 11:06 bugmaster Status tested => verified
2012-03-22 11:06 bugmaster Resolution open => fixed
2012-03-22 11:06 bugmaster Assigned To bugmaster => dbv
2012-03-29 17:26 dbv Changeset attached => occt master e450f818
2012-04-03 13:31 abv Assigned To dbv => llbatlle
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker